Forum

Post a new question

Categories:

Tags:

How to install Nimble

Azat 2017-07-02 15:23:00 UTC in Nimble Streamer
D23ea1f6d0136045aa21cb4a2dbe94f6

Добавляю в /etc/apt/sources.list :

deb nimblestreamer ком/ubuntu xenial/

Добавляю ключ:

wget -q -O - http ://nimblestreamer.com/gpg.key | sudo apt-key add -

И так:

wget nimblestreamer.com/gpg.key -P /home/
apt-key add /home/gpg.key

Проверяю добавился ли ключ:

apt-key list

Ключ вижу, далее:

apt-get update

Сущ:1 mirrordirector.archive.parrotsec. org/parrot stable InRelease
Игн:2 nimblestreamer. ком/debian jessie/ InRelease
Пол:3 nimblestreamer .ком/debian jessie/ Release [1 242 B]
Пол:4 nimblestreamer. ком/debian jessie/ Release.gpg [473 B]
Игн:4 nimblestreamer .ком/debian jessie/ Release.gpg
Пол:5 nimblestreamer. ком/debian jessie/ Packages [28,8 kB]
Получено 30,5 kБ за 6с (4 824 Б/c)
Чтение списков пакетов… Готово
W: Ошибка GPG: nimblestreamer . ком/debian jessie/ Release: Следующие подписи неверные: 0B41D7D4FF6A722DC4A11AA91374A05BB07AEDC6
W: Репозиторий «nimblestreame r.ком/debian jessie/ Release» не подписан.
N: Данные из этого репозитория нельзя аутентифицировать, и поэтому потенциально из небезопасно использовать.
N: Смотрите справочную страницу apt-secure(8) о создании репозитория и настройке пользователя.

apt-get install nimble
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
nimble : Зависит: libjson-c2 (>= 0.10) но он не может быть установлен
Зависит: libssl1.0.0 (>= 1.0.0) но он не может быть установлен
Зависит: libzip2 (>= 0.10) но он не может быть установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Max 2017-07-02 16:16:14 UTC
Ba425406063261ec184229ed0d5a200d

Здравствуйте Азат,

На какой дистрибутив вы пытаетесь поставить Nimble?
Вроде как добавили URL на репозиторий для Ubuntu Xenial, а apt-get, судя по логу, лезет в репозиторий для Debian Jessie.

Azat 2017-07-02 17:24:48 UTC
D23ea1f6d0136045aa21cb4a2dbe94f6

Добрый день Max
Собственно отчаявшись я пробовал в source.list указывать и репозиторий убунту, и дебиан. И что только не пробывал. Пробовал сначала сохранить ключ потом добавить, результат тот же, репозиторий не подписан хотя ключ добавил в систему.

cat /etc/issue.net
Parrot 3.7

lsb_release -a
No LSB modules are available.
Distributor ID: Parrot
Description: Parrot 3.7 - JollyRoger
Release: 3.7
Codename: JollyRoger

uname -m
x86_64

uname -a
Linux snippet 4.9.0-parrot25-amd64 #1 SMP Parrot 4.9.25-1parrot25 (2017-05-07) x86_64 GNU/Linux

cat /etc/debian_version
Parrot

Если не удается добавить репозиторий то можно же наверное скачать wget'ом пакет и установить вручную nimble?

Azat 2017-07-02 17:41:15 UTC
D23ea1f6d0136045aa21cb4a2dbe94f6

dpkg -i nimble_3.2.4-6_amd64.deb
Selecting previously unselected package nimble.
(Reading database ... 412136 files and directories currently installed.)
Preparing to unpack nimble_3.2.4-6_amd64.deb ...
Unpacking nimble (3.2.4-6) ...
dpkg: dependency problems prevent configuration of nimble:
nimble depends on libjson-c2 (>= 0.10); however:
Package libjson-c2 is not installed.
nimble depends on libssl1.0.0 (>= 1.0.0); however:
Package libssl1.0.0 is not installed.
nimble depends on libzip2 (>= 0.10); however:
Package libzip2 is not installed.

dpkg: error processing package nimble (--install):
dependency problems - leaving unconfigured
Processing triggers for systemd (233-9) ...
Errors were encountered while processing:
nimble

dpkg -i libjson-c2_0.11-3~bpo7+1_amd64.deb
Selecting previously unselected package libjson-c2:amd64.
(Reading database ... 412116 files and directories currently installed.)
Preparing to unpack libjson-c2_0.11-3~bpo7+1_amd64.deb ...
Unpacking libjson-c2:amd64 (0.11-3~bpo7+1) ...
Setting up libjson-c2:amd64 (0.11-3~bpo7+1) ...

dpkg -i libzip2_0.11.2-1.2_amd64.deb
Selecting previously unselected package libzip2.
(Reading database ... 412151 files and directories currently installed.)
Preparing to unpack libzip2_0.11.2-1.2_amd64.deb ...
Unpacking libzip2 (0.11.2-1.2) ...
Setting up libzip2 (0.11.2-1.2) ...

dpkg -i nimble_3.2.4-6_amd64.deb
(Reading database ... 412156 files and directories currently installed.)
Preparing to unpack nimble_3.2.4-6_amd64.deb ...
Unpacking nimble (3.2.4-6) over (3.2.4-6) ...
Setting up nimble (3.2.4-6) ...
update-rc.d: We have no instructions for the nimble init script.
update-rc.d: It looks like a network service! YOU SHALL NOT PASS!
Processing triggers for systemd (233-9) ...

dpkg -i nimble-transcoder_1.0.7-1_amd64.deb
Selecting previously unselected package nimble-transcoder.
(Reading database ... 412156 files and directories currently installed.)
Preparing to unpack nimble-transcoder_1.0.7-1_amd64.deb ...
Unpacking nimble-transcoder (1.0.7-1) ...
Setting up nimble-transcoder (1.0.7-1) ...

service nimble status
● nimble.service - LSB: Nimble HTTP Streamer
Loaded: loaded (/etc/init.d/nimble; generated; vendor preset: disabled)
Active: inactive (dead)
Docs: man:systemd-sysv-generator(8)

Такая схема установки будет работать? Ссори я начинающий

Alex Pokotilo 2017-07-03 04:12:40 UTC
B0af1cee7eb1e40dd284d9982b3aef70

Азат,
мы к сожалению не поддерживаем дистрибутив Parrot, поэтому ручной способ устаовки пакета может и не работать.
Выберите пожалуйста среди дистрибутивов, которые суппортятся для установки и тогда проблем не будет

Post a reply